# Sample code: Set the image and run blink detection

import tfsdk
import os

sdk = tfsdk.SDK()

blink_threshold = 0.4

# TODO: export your license token as TRUEFACE_TOKEN environment variable
is_valid = sdk.set_license(os.environ['TRUEFACE_TOKEN'])
if (is_valid == False):
	print("Invalid License Provided")
	print("Be sure to export your license token as TRUEFACE_TOKEN")
	quit()

# Load the input image with open eyes
res = sdk.set_image("../images/open_eyes.jpg")
if (res != tfsdk.ERRORCODE.NO_ERROR):
	print("Unable to set image 1")
	quit()


print("Running blink detection of open eye image")

ret, left_blink_score, right_blink_score = sdk.detect_blink()
if (ret != tfsdk.ERRORCODE.NO_ERROR):
	print("Unable to detect face in image")
	quit()

if (left_blink_score < blink_threshold and right_blink_score < blink_threshold):
	print("Detected: Eyes are closed")
else:
	print("Detected: Eyes are open")

# Load the input image with open eyes
res = sdk.set_image("../images/closed_eyes.jpg")
if (res != tfsdk.ERRORCODE.NO_ERROR):
	print("Unable to set image 1")
	quit()


print("Running blink detection of closed eye image")

ret, left_blink_score, right_blink_score = sdk.detect_blink()
if (ret != tfsdk.ERRORCODE.NO_ERROR):
	print("Unable to detect face in image")
	quit()

if (left_blink_score < blink_threshold and right_blink_score < blink_threshold):
	print("Detected: Eyes are closed")
else:
	print("Detected: Eyes are open")